/*
 * $Id: ConverterMaintenanceForm.java,v 1.5 2007/08/27 08:49:19 marbobo Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 * 
 * Created on 04.11.2004
 *
 * $Log: ConverterMaintenanceForm.java,v $
 * Revision 1.5  2007/08/27 08:49:19  marbobo
 * + Kontext korrekt setzen
 *
 * Revision 1.4  2007/08/14 14:49:59  marbobo
 * + Licenseverwaltung komplett umgeschrieben
 * + Kategoriesuche und verlorene Kategorien anzeigen komplett umgeschrieben
 * + Fehler beim Speichern von Beschreibenungsfeldern für Entitäten beseitigt.
 *
 * Revision 1.3  2004/11/12 00:19:57  marbobo
 * - Unnötige Import-Anweisungen entfernt
 *
 * Revision 1.2  2004/11/10 15:02:48  koppy
 * Projektweite Überarbeitung von Error-Logs, Stacktraces,..
 *
 * Revision 1.1  2004/11/08 12:28:13  koppy
 * initiale version
 *
 */
package vkc.administration.form;

import java.util.List;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionMapping;

import vkc.db.common.ConversionStatus;
import vkc.db.common.ConverterInfo;
import vkc.exception.DBException;

/**
 * This class represents
 * 
 * @author Andreas Koop
 */
public class ConverterMaintenanceForm extends SystemMaintenanceForm {
    private Integer selectedConverterId = null;

    private List converterServers = null;

    public void reset(ActionMapping mapping, HttpServletRequest request) {
        super.reset(mapping, request);
        selectedConverterId = null;
        converterServers = null;
        setSelectedContext(CONVERTER);
    }

    /**
     * Returns all running converter servers
     * 
     * @return list of elements of type <code>vkc.db.common.ConverterInfo</code>
     * @throws DBException
     */
    public List getConverterServers() throws DBException {
        if (converterServers == null) {
            converterServers = ConverterInfo.getAllRegisteredServers();
        }

        return converterServers;
    }

    public int getOpenConversionsCount() {
        try {
            return ConversionStatus.getOutstandingConversions();
        } catch (DBException e) {
            return 0;
        }
    }

    public Integer getSelectedConverterId() {
        return selectedConverterId;
    }

    public void setSelectedConverterId(Integer selectedConverterId) {
        this.selectedConverterId = selectedConverterId;
    }
}